Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.tools.v1
Class FileToDatabaseUser

    java.lang.Object
      |
      +--oracle.portal.provider.v1.ProviderUser
            |
            +--oracle.portal.provider.tools.v1.FileToDatabaseUser

public class FileToDatabaseUser
extends ProviderUser

Represents the Portal user for the purposes of the FileToDatabase utility This class is a partial implementation of the ProviderUser abstract class that supports only those methods required by the FileToDatabase utility. This implementation should not be used to represent a ProviderUser outside the context of the FileToDatabase utility

Fields inherited from class oracle.portal.provider.v1.ProviderUser
`AUTH_LEVEL_NOT_SUPPORTED, AUTH_NOT_DETERMINED, NOT_AUTHENTICATED, PORTAL_PUBLIC, PUBLIC, PUBLIC_STRONG_AUTH, PUBLIC_USERNAME, PUBLIC_WEAK_AUTH, USER_STRONG_AUTH, USER_WEAK_AUTH`

Method Summary
`int` | `getAuthenticationLevel()`
`java.lang.String` | `getCompanyName()`
`UserLocation` | `getLocation()`
`java.util.Calendar` | `getLoginTime()`
`java.lang.String` | `getMappedName()`
`java.security.Principal` | `getMappedPrincipal()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPortalSessionId()`
`java.security.Principal` | `getPrincipal()`
`java.lang.String` | `getQualifiedName()`
`ProviderSession` | `getSession()` Used to create and/or reacquire the user session.
`ProviderSession` | `getSession(boolean create)` Used to create and/or reacquire the user session.
`java.lang.String` | `getSubscriberId()`
`boolean` | `isLoggedOn()`
`boolean` | `isPublicUser()` Tests whether we are running in public mode.
`boolean` | `isWeaklyAuthenticated()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPrincipal

    public java.security.Principal getPrincipal()

  Overrides:
    getPrincipal in class ProviderUser
  Returns:
    the portal user.

### getMappedPrincipal

    public java.security.Principal getMappedPrincipal()

  Overrides:
    getMappedPrincipal in class ProviderUser
  Returns:
    the mapped application user. null is there is no mapped user.

### getName

    public java.lang.String getName()

  Overrides:
    getName in class ProviderUser
  Returns:
    the portal username. Convenience method for getPrincipal().getName()

### getSubscriberId

    public java.lang.String getSubscriberId()

  Overrides:
    getSubscriberId in class ProviderUser
  Returns:
    the subscriber id. Convenience method for getPrincipal().getSubscriberId()

### getCompanyName

    public java.lang.String getCompanyName()

  Overrides:
    getCompanyName in class ProviderUser
  Returns:
    the company name. Convenience method for getPrincipal().getCompanyName()

### getMappedName

    public java.lang.String getMappedName()

  Overrides:
    getMappedName in class ProviderUser
  Returns:
    the mapped application username. Convenience method for getMappedPrincipal().getName()

### getQualifiedName

    public java.lang.String getQualifiedName()

  Overrides:
    getQualifiedName in class ProviderUser
  Returns:
    the qulaified username, ie username appended with company name separator is "@@"

### getLoginTime

    public java.util.Calendar getLoginTime()

  Overrides:
    getLoginTime in class ProviderUser
  Returns:
    the time when this user logged into the Portal

### getLocation

    public UserLocation getLocation()

  Overrides:
    getLocation in class ProviderUser
  Returns:
    the user's location. Value is allowed to be `null`. This means the information is not available.

### getPortalSessionId

    public java.lang.String getPortalSessionId()

  Overrides:
    getPortalSessionId in class ProviderUser
  Returns:
    the Portal session ID for this user. Portlet developers can use this ID to map to their in memory "session" state vs. using a cookie based mechanism. The benefit is performance. If the provider doesn't use cookies the portal can communicate more efficiently with it.

### getAuthenticationLevel

    public int getAuthenticationLevel()

  Overrides:
    getAuthenticationLevel in class ProviderUser
  Returns:
    the authentication level for the user

### isLoggedOn

    public boolean isLoggedOn()

  Overrides:
    isLoggedOn in class ProviderUser
  Returns:
    true if the user has logged onto the portal in the current session. A user who is weakly authentication has not logged on to the portal in the current session so this method will return false.

### isWeaklyAuthenticated

    public boolean isWeaklyAuthenticated()

  Overrides:
    isWeaklyAuthenticated in class ProviderUser
  Returns:
    true if the current user is at least weakly authenticated

### isPublicUser

    public boolean isPublicUser()

  Tests whether we are running in public mode. ie the user has not logged in and is not weakly authenticated based on a prior login
  Overrides:
    isPublicUser in class ProviderUser
  Returns:
    true if the user is accessing the portal in public mode.

### getSession

    public ProviderSession getSession(boolean create)
                               throws java.lang.IllegalStateException

  Used to create and/or reacquire the user session. If running as a HttpProvider (servlet) and sessions are maintained via cookies then the sessions must only be created in Provider.initSession(). Note: this method can throw an IllegalStateException. This occurs if the user object has become stale. I.e. no longer contains the state that it needs to acquire/create the session. As all Provider/Portlet APIs give you access to the User object per request you should not (need to) retain the user object via reference in cross-request object (like the session itself). This only leads to possibilities of memory leaks.
  Overrides:
    getSession in class ProviderUser
  Parameters:
    `create` - if true then a session is created for the user if it doesn't currently exist.
  Returns:
    the session object for this user. null if create is false and the session doesn't already exist.

### getSession

    public ProviderSession getSession()
                               throws java.lang.IllegalStateException

  Used to create and/or reacquire the user session. Always creates a session if it doesn't currently exist. The same as calling getSession(true). If running as a HttpProvider (servlet) and sessions are maintained via cookies then the sessions must only be created in Provider.initSession(). Note: this method can throw an IllegalStateException. This occurs if the user object has become stale. I.e. no longer contains the state that it needs to acquire/create the session. As all Provider/Portlet APIs give you access to the User object per request you should not (need to) retain the user object via reference in cross-request object (like the session itself). This only leads to possibilities of memory leaks.
  Overrides:
    getSession in class ProviderUser
  Returns:
    the session object for this user.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD